///// Class Logo//////
class Logo
{
init ()
{
  this.logo = loadModel('assets/logo2.obj', true);
  this.back = loadImage ('assets/neonlightroom.jpg')
  this.hud = loadImage('assets/rond dots.png');
}
  FX()
  {
    
  push();
  //lights();
  pointLight(250,200,250,0,0,150);
  pointLight(50,250,100,300,0,100);
  
  blendMode(BLEND)
  noStroke();
  rotateX(0)
  scale(-2);
  //rotateX(millis() /1500);
  rotateY(millis() /1000);
  //rotateZ(millis() /1500);
  ambientMaterial(255, 150, 255)
  model(this.logo)
  pop();
  
  
  
  texture(this.back)
  translate(0,0,-400)
  noStroke();
  plane(1400)
  
  blendMode(SCREEN);
  plane(800);
  texture(this.hud);
  noStroke();
  rotateZ(millis() / 1900);
  plane(1000);
    
  
    }
  }